¿Cuál es la forma recomendada de instalar pip en Snappy Ubuntu Core?

Me gustaría aprovisionar Docker que se ejecuta en Ubuntu Core con Ansible. Para eso necesito obtener docker-py en la máquina. Snappy ya viene con Python instalado, pero no se proporciona pip .

La ejecución del script habitual desde https://bootstrap.pypa.io/get-pip.py produce un error:

OSError: [Errno 30] Sistema de archivos de solo lectura: ‘/usr/local/lib/python2.7/dist-packages/pip-8.1.0.dist-info’

(lo que por supuesto tiene sentido dada la architecture del sistema operativo)

¿Hay alguna forma recomendada de instalar pip / docker-py (u otras bibliotecas de Python) en Snappy Ubuntu Core?

Creo que quieres tu propio complemento, que utiliza el complemento Docker como marco. En 16.04 usaría un mecanismo diferente para conectarse a Docker, pero en 15.04 el mecanismo “marco” era la manera correcta de hacerlo.

En tu propio complemento puedes, por supuesto, hacer lo que quieras 🙂